using FluentValidation;
using Hotline.Share.Dtos.Push;

namespace Hotline.Validators.Push
{
    public class UpdateTemplateDtoValidator : AbstractValidator<UpdateTemplateDto>
    {
        /// <summary>
        /// 
        /// </summary>
        public UpdateTemplateDtoValidator()
        {
            RuleFor(d => d.Id).NotEmpty();
            RuleFor(d => d.Code).NotEmpty();
            RuleFor(d => d.Content).NotEmpty();
        }
    }
}
